From:  James de Lurker <jtl2nospamMUNGIEjump@hotmail.com>
Date:  23 Oct 2003 01:48:19 Hong Kong Time
Newsgroup:  news.mozilla.org/netscape.public.mozilla.oji
Subject:  

blackdown java plugin / moz 1.5 problem

NNTP-Posting-Host:  m894-mp1.cvx1-b.cam.dial.ntli.net

Problem with Blackdown java plugin when symlinked from mozilla 1.5
   /usr/local/mozilla-1.5/plugins/javaplugin_oji.so

This java version continues to work without issue with OpenOffice 1.1.0,
and the standard RedHat mozilla 1.0.2 production RPM release.

Suggestions please, on how I can get it working with the newer mozilla 1.5
without breaking the existing Office 1.1.0 and mozilla 1.0.2 fuctionality.

Environment: RedHat 7.2, fully updated. mozilla.org binary installer 
version installed into: /usr/local/mozilla-1.5

java version "1.4.1"
Java(TM) 2 Runtime Environment, Standard Edition (build Blackdown-1.4.1-01)
Java HotSpot(TM) Client VM (build Blackdown-1.4.1-01, mixed mode)

3857975cd3b7ebcbe544ba0a46308e0c *j2re-1.4.1-01-linux-i586-gcc2.95.bin

3b155ada068771bb8984dfdf09aa3351 *mozilla-i686-pc-linux-gnu-1.5-sea.tar.gz

Error messages are seen on the user console when the KDE-2.2.2 / X session
is closed, repeated 10 times:
LoadPlugin: failed to initialize shared library
   /usr/local/j2re1.4.1/plugin/i386/mozilla/javaplugin_oji.so
undefined symbol:
   GetGlobalServiceManager_16nsServiceManagerPP17nsIServiceManager

-- 

   -- James

 From and Reply To are INVALID.

All public postings use munged headers[1]- To contact me off list:
   1) Remove "M U N G I E j u m p" ONLY: leave that "nospam" in there!
   2) change "hotmail" 2 "myrealbox" after the @